/**
 *
 * Tato třída simuluje kalkulator - slouží pro testování grafiky kalkulačky.
 * Třída implementuje rozhraní Kalkulator, pojem maketa odpovídá anglickému pojmu
 * mock object.
 * 
 * Všechny metody pouze vypisují na konzolu informaci o tom, že byly zavolány
 * (System.out.println se jménem metody) a případně příkaz return s konstantní
 * hodnotou.
 *
 * @author     Lubos Pavlicek
 * @version    2.2 (28 September 2011)
 */
public class MaketaKalkulator implements IKalkulator
{
    
    /**
     *  konstruktor třídy
     */
    public MaketaKalkulator () {
        System.out.println("konstruktor MaketaKalkulator");
    }

    @Override
    public int getHodnotaKZobrazeni() {
        System.out.println("metoda getHodnotaKZobrazeni");
        return 12345;
    }

    @Override
    public void cislice(int hodnota) {
        System.out.println("metoda cislice, parametr hodnota: "+hodnota);
    }

    @Override
    public void plus() {
        System.out.println("metoda plus");
    }

    @Override
    public void minus() {
        System.out.println("metoda minus");
    }

    @Override
    public void rovnaSe() {
        System.out.println("metoda rovnaSe");
    }
    
    @Override
    public void vymaz() {
        System.out.println("metoda vymaz");
    }

    @Override
    public String getAutor() {
        System.out.println("metoda getAuthor");
        return "autor ";
    }
    
    @Override
    public String getVerze() {
        System.out.println("metoda getVerze");
        return "verze 0.01";
    }
    
}
